PKTYPE(1)

NAME
pktype - verify and translate a packed font (pk) bitmap file to plain text

SYNOPSIS
pktype pk_file[pk]

DESCRIPTION
The pktype program translates a packed font file (pk) output by, for example, gftopk(1), to a file that humans can read. It also serves as a pk file-validating program (i.e., if pktype can read it, it's correct) and as an example of a pk-reading program for other software that wants to read pk files.

The input pk_file on the command line may omit the suffix "pk". The plain text translation is always written to standard output.

The output file gives a compact encoding of the packed encoding, using conventions described in the source code. Run lengths of black pixels alternate with parenthesized run lengths of white pixels, and brackets are used to indicate when a row should be repeated.

OPTIONS
See tex(1) for details of command-line parsing.

The standard -help and -version options are supported.

ENVIRONMENT
The program looks for pk_file using the environment variables PKFONTS, TEXPKS, GLYPHFONTS, and TEXFONTS, in that order. If none are set, it uses the system default. See the Kpathsea manual at https://tug.org/kpathsea for the details of the searching.

SEE ALSO
dvitype(1), gftopk(1), gftype(1).
Donald E. Knuth et al., Metafontware.

AUTHORS
Tomas Rokicki wrote the program. Donald E. Knuth originally ported it to Unix. Pierre MacKay originally adapted it for compilation with Web2c.

Public discussion list and bug reports: https://lists.tug.org/tex-k